/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.celestial.tdd.demo.complete;

/**
 *
 * @author Selvyn
 */
class ArrayUtils
{
    // Version 1 for find_highest_in_array_of_one()
    /*
    int findHighest(int[] array)
    {
        return array[0];
    }
    */
    
    // Version 2 for find_highest_in_array_of_two_pre_ordered()
    /*
    public  int findHighest(int array[])
    {
        int highestSoFar = array[0];
        
        if( array.length > 1 && array[1] > highestSoFar )
            highestSoFar = array[1];
        
        return highestSoFar;
    }
    */

    // Version 2 for find_highest_in_array_of_any_number()
    public  int findHighest(int array[]) throws EmptyArrayException
    {
        if( array.length < 1 )
            throw new EmptyArrayException("Array is empty");
            
        int highestSoFar = Integer.MIN_VALUE;
        
        for (int i = 0; i < array.length; i++) 
        {
            if (array[i] > highestSoFar) 
		highestSoFar = array[i];
        }
        
        return highestSoFar;
    }
}
