/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.celestial.tdd.demo.v2;

import static org.hamcrest.CoreMatchers.is;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.Rule;
import org.junit.rules.ExpectedException;

/**
 *
 * @author Selvyn
 */
public class ArrayUtilsTest
{
    public ArrayUtilsTest()
    {
    }

    @Before
    public void setUp()
    {
    }

    @Test
    public void find_highest_in_array_of_one()
    {
        // Arrange
        int array[] =
        {
            10
        };
        ArrayUtils arrayUtils = new ArrayUtils();

        // Act
        int result = arrayUtils.findHighest(array);

        // Assert
        assertThat(result, is(10));
    }

    @Test
    public void find_highest_in_array_of_two_pre_ordered()
    {
        // Arrange
        int array[] =
        {
            20, 10
        };
        ArrayUtils arrayUtils = new ArrayUtils();
        int expectedResult = 20;

        //Act
        int result = arrayUtils.findHighest(array);

        // Assert
        assertThat(result, is(expectedResult));
    }

    @Test
    public void find_highest_in_array_of_two_ascending()
    {
        // Arrange
        int array[] =
        {
            10, 20
        };
        ArrayUtils arrayUtils = new ArrayUtils();
        int expectedResult = 20;

        //Act
        int result = arrayUtils.findHighest(array);

        // Assert
        assertThat(result, is(expectedResult));
    }

    @Test
    public void find_highest_in_array_of_any_number()
    {
        // Arrange
        int array[] =
        {
            10, 5, 30
        };
        ArrayUtils arrayUtils = new ArrayUtils();
        int expectedResult = 30;

        //Act
        int result = arrayUtils.findHighest(array);

        // Assert
        assertThat(result, is(expectedResult));
    }
}
